Subject: Re: [bug-diffutils] bug#24121: new snapshot available: diffutils-3.3.52-e974

From: Jim Meyering <[email-masked]>
Date: Mon, 1 Aug 2016 09:44:49 -0700

On Mon, Aug 1, 2016 at 9:27 AM, Jim Meyering <[email-masked]> wrote:
> On Sun, Jul 31, 2016 at 9:35 PM, Jim Meyering <[email-masked]> wrote:
>> On Sun, Jul 31, 2016 at 8:38 PM, Assaf Gordon <[email-masked]> wrote:
>>> Hello,
>>>
>>>> On Jul 31, 2016, at 21:15, Jim Meyering <[email-masked]> wrote:
>>>>
>>>> Here's a new snapshot:
>>>> [...]
>>>> http://meyering.net/diff/diffutils-3.3.52-e974.tar.xz
>>>>
>>>> Changes in diffutils since 3.3.50-0353:
>>>>
>>>> Jim Meyering (2):
>>>>      tests: colors: fix a portability problem and work around a shell bug
>>>>      maint: remove gl/lib/reg*.c.diff; no longer needed
>>>
>>> With this update, no more failures on the tested gnu/linux system, but few failures on others (BSDs, Mac OS X, AIX, OpenSolaris).
>>>
>>> For BSD/Mac OS X/AIX, it seems the 'color' test uses 'touch --date' which is a gnu extension and is not available.
>>> Perhaps that leads to other failures.
>>>
>>> For OpenSolaris 5.10 (both i86pc and sparc) 'make check' does not complete (perhaps an old shell syntax issue).
>>>
>>> For GNU Hurd 0.7, the test 'brief-vs-stat-zero-kernel-lies' fails.
>>
>> Great! Thanks again for all of that quick feedback.
>> So far I've only looked at the solaris 5.10 build failure, and wrote
>> the attached that I hope will fix it. It upgrades to the
>> infrastructure (forgot I hadn't yet done it for diffutils) that is
>> used already to good effect in at least grep, sed, coreutils. Would
>> you please let me know if this fixes it?
>
> I've gone ahead and pushed that with a tweak to make envvars check one
> more variable name: GREP_OPTIONS.

Thanks again for all the testing, Assaf.
Would you please see what the hurd test expected?
If you rerun it with this patch, the usual testsuite.log file will
include details:
diff --git a/tests/brief-vs-stat-zero-kernel-lies b/tests/brief-vs-stat-zero-kernel-lies
index 9b272c6..29eacae 100755
--- a/tests/brief-vs-stat-zero-kernel-lies
+++ b/tests/brief-vs-stat-zero-kernel-lies
@@ -24,7 +24,7 @@ compare /dev/null out || fail=1
 # so construct the expected output here:
 printf 'diff\0--brief\0/proc/self/cmdline\0bin\0' > bin || framework_failure_
 # And run the command that is embedded in that output:
-diff --brief /proc/self/cmdline bin > out 2>&1 || fail=1
+diff -a --brief /proc/self/cmdline bin > out 2>&1 || fail=1
 compare /dev/null out || fail=1

 Exit $fail